<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-button (click)="back()">
        <ion-icon slot="icon-only" color="dark" mode="md" name="arrow-back-outline"></ion-icon>
      </ion-button>
    </ion-buttons>
    <ion-title>{{'Order Detail' | translate}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <div *ngIf="!loaded" style="display: flex;flex-direction: column;justify-content: center;align-items: center;">
    <ion-spinner color="primary" name="crescent"></ion-spinner>
  </div>
  <div class="main_content_div" *ngIf="loaded">


    <div class="card_div">
      <div class="resto_detail">
        <div class="back_image" [style.backgroundImage]="'url('+usercover+')'"></div>
        <div style="margin-left: 10px;">
          <ion-label class="res_name">{{username}}</ion-label>
          <ion-label class="res_location">{{time}}</ion-label>
        </div>
      </div>
    </div>
    <div class="orderId">
      <div class="order_id">
        <ion-label>{{'Order ID' | translate}}</ion-label>
        <ion-label>{{id}}</ion-label>
      </div>
    </div>
    <div class="line_div"></div>


    <div class="card_div2" *ngIf="userphone">
      <div class="personal_detail">
        <div style="display: flex;">
          <ion-icon name="call"></ion-icon>&nbsp;&nbsp;
          <ion-label class="res_name">{{userphone}}</ion-label>
        </div>
        <div>
          <ion-button (click)="call()" size="small" fill="outline">Call</ion-button>
        </div>
      </div>
    </div>

    <div class="line_div"></div>

    <div class="card_div2" *ngIf="useremail">
      <div class="personal_detail">
        <div style="display: flex;">
          <ion-icon name="mail"></ion-icon>&nbsp;&nbsp;
          <ion-label class="res_name">{{useremail}}</ion-label>
        </div>
        <div>
          <ion-button (click)="mail()" size="small" fill="outline">{{'Email' | translate}}</ion-button>
        </div>
      </div>
    </div>

    <div class="line_div"></div>

    <div class="card_div2">
      <div class="personal_detail">

        <div style="display: flex;">
          <ion-icon name="location"></ion-icon>&nbsp;&nbsp;
          <ion-label class="res_name">{{address}}</ion-label>
        </div>
      </div>
    </div>

    <span>
      <p style="text-align: center;font-size: 14px;font-weight: 600;">{{'TO' | translate}}</p>
    </span>

    <div class="card_div2">
      <div class="personal_detail">

        <div style="display: flex;">
          <ion-icon name="location"></ion-icon>&nbsp;&nbsp;
          <ion-label class="res_name">{{deliveryAddress}}</ion-label>
        </div>

      </div>
    </div>

    <div class="card_div2">
      <div class="personal_detail">
        <div *ngIf="status =='ongoing' || status =='created' || status =='picked' || status =='accepted'">
          <ion-button (click)="goToTracker()" size="small" fill="outline">{{'Navigate' | translate}}</ion-button>
        </div>
      </div>
    </div>
    <div class="line_div"></div>

    <div class="card_div2">
      <div class="order_detail">
        <ion-label class="head_gray">{{'ITEMS' | translate}}</ion-label>
        <div class="small_lbl">
          <ion-label *ngFor="let item of orders">{{item.quantiy}} X {{item.name}} <span
              class="prize">{{item.price | currency: 'COP' : 'symbol-narrow'}}</span></ion-label>
        </div>
        <ion-label class="head_gray">{{'ORDERED ON' | translate}}</ion-label>
        <ion-label class="small_lbl">{{time}} </ion-label>
      </div>
    </div>

    <div class="line_div"></div>
    <div class="card_div2">

      <div class="order_detail">
        <ion-label class="small_lbl2">{{'SubTotal' | translate}}<span class="prize1">{{total | currency: 'COP' : 'symbol-narrow'}}</span></ion-label>
        <ion-label class="small_lbl2">{{'Delivery Charge' | translate}}<span class="prize1">$10,000</span></ion-label>
        <ion-label class="small_lbl2">{{'Service Tax' | translate}}<span class="prize1">{{serviceTax | currency: 'COP' : 'symbol-narrow'}}</span>
        </ion-label>
        <ion-label class="small_lbl2">{{'Total' | translate}}<span class="prize1">{{grandTotal | currency: 'COP' : 'symbol-narrow'}}</span></ion-label>

        <ion-label class="small_lbl2">{{'Way of Payment' | translate}}<span class="prize1 red_color">{{payment}}</span>
        </ion-label>
      </div>

    </div>
  </div>
</ion-content>

<ion-footer>
  <ion-toolbar>
    <!-- <div class="btn_div" *ngIf="status == 'created'">
      <ion-button (click)="picked()" size="small" class="reject">
        Picked
      </ion-button>
    </div>
    <div class="btn_div" *ngIf="status == 'picked'">
      <ion-button (click)="delivered()" size="small" class="reject">
        Deliver
      </ion-button>
    </div> -->
    <div class="status_div" *ngIf="status == 'accepted' || status == 'ongoing' ">
      <div style="width: 200px;">
        <ion-select placeholder="Choose Status" [(ngModel)]="changeStatusOrder">
          <ion-select-option value="ongoing">{{'Ongoing' | translate}}</ion-select-option>
          <ion-select-option value="cancel">{{'Cancel' | translate}}</ion-select-option>
          <ion-select-option value="delivered">{{'Delivered' | translate}}</ion-select-option>
        </ion-select>
      </div>

      <div>
        <ion-button (click)="changeOrderStatus()" size="small">
          {{'Update Status' | translate}}
        </ion-button>
      </div>
    </div>
    <!-- <ion-label class="green"> Order status : {{status}}</ion-label> -->
  </ion-toolbar>
</ion-footer>